»
 »

Quang cao giua trang

Hướng dẫn khắc phục lỗi không tương thích của joomla 1.0.x trên php 5.3.x

Thứ tư - 24/07/2013 03:52
Hiện tại phiên bản php 5.2.17 đã end of life, toàn bộ server share hosting của TDV đang dần nâng cấp lên phiên bản php 5.3.x, một số khách hàng sử dụng phiên bản joomla 1.0.x sẽ gặp phải lỗi như sau:
Hướng dẫn khắc phục lỗi không tương thích của joomla 1.0.x trên php 5.3.x

Hướng dẫn khắc phục lỗi không tương thích của joomla 1.0.x trên php 5.3.x

“Warning: Parameter 2 to frontpage() expected to be a reference, value given in /your-root-installation/includes/Cache/Lite/Function.php on line 100″ .

hoặc:

“Warning: Parameter 1 to modMainMenuHelper::buildXML() expected to be a reference, value given in /your-root-installation/libraries/joomla/cache/handler/callback.php on line 99″

hoặc:

“Warning: Parameter 1 to HTML_content::show() expected to be a reference, value given in/your-root-installation/includes/Cache/Lite/Function.php on line 92″

Cách khắc phục như sau:
Mở file sau:

/includes/Cache/Lite/Function.php

tìm đến dòng 74:

$arguments = func_get_args();

và thay bằng:

$arguments = func_get_args();
$numargs = func_num_args();

for($i=1; $i < $numargs; $i++){

$arguments[$i] = &$arguments[$i];

}

Sẽ khắc phục được lỗi trên, hi vọng bài viết có ích cho các bạn !
Tổng số điểm của bài viết là: 0 trong 0 đánh giá
Click để đánh giá bài viết

Theo dòng sự kiện

Xem tiếp...

Những tin mới hơn

Những tin cũ hơn

 

Kiểm tra Tên Miền

www.    
Hỗ trợ trực tuyến Hướng dẫn thanh toán
Tên miền Việt Nam
Báo giá Website

Hỗ trợ thanh toán trực tuyến